Subject: Re: [PATCH 0/2] Optionally support push options on up-to-date branches

From: Junio C Hamano <[email-masked]>
Date: Fri, 15 Mar 2024 08:42:51 -0700

Christopher Lindee <[email-masked]> writes:

> Junio C Hamano writes:
>
>> In any case, I am OK with the feature.  I just was wondering if the
>> end-user experience may become simpler and easier if we did not have
>> to have a command line option.
>
> I think we should have the command line option, if only for backwards 
> compatibility.  The question on my mind is: do we default to on or off?

It seems like the concensus is we want this as an opt-in feature.
Defaults off, with an explicit command line option.

Thanks.